Bug 1582171 - python-more-itertools-7.0.0 is available
Summary: python-more-itertools-7.0.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-more-itertools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ranjan Maitra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1712501
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 12:22 UTC by Upstream Release Monitoring
Modified: 2019-08-14 08:34 UTC (History)
3 users (show)

Fixed In Version: python-more-itertools-7.0.0-1.fc31, python2-more-itertools-4.1.0-6.fc31
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-14 08:34:43 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-05-24 12:22:32 UTC
Latest upstream release: 4.2.0
Current version/release in rawhide: 4.1.0-1.fc29
URL: https://github.com/erikrose/more-itertools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12201/

Comment 1 Upstream Release Monitoring 2018-08-01 00:27:19 UTC
Latest upstream release: 4.3.0
Current version/release in rawhide: 4.1.0-4.fc29
URL: https://github.com/erikrose/more-itertools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12201/

Comment 2 Upstream Release Monitoring 2018-08-01 12:26:32 UTC
Latest upstream release: 4.3.1
Current version/release in rawhide: 4.1.0-4.fc29
URL: https://github.com/erikrose/more-itertools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12201/

Comment 3 Upstream Release Monitoring 2019-02-12 06:00:31 UTC
Latest upstream release: 6.0.0
Current version/release in rawhide: 4.1.0-5.fc30
URL: https://github.com/erikrose/more-itertools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12201/

Comment 4 Upstream Release Monitoring 2019-03-29 00:00:32 UTC
Latest upstream release: 7.0.0
Current version/release in rawhide: 4.1.0-5.fc30
URL: https://github.com/erikrose/more-itertools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/12201/

Comment 5 Fedora Update System 2019-05-21 15:10:16 UTC
python-more-itertools-7.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-79cc5a68b5

Comment 6 Fedora Update System 2019-05-21 15:10:21 UTC
python-more-itertools-7.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3e95f4395

Comment 7 Miro Hrončok 2019-05-21 15:18:48 UTC
This broke pytest.

Problem: conflicting requests
- nothing provides python2.7dist(more-itertools) >= 4.0.0 needed by python2-pytest-4.4.1-1.fc31.noarch
- nothing provides python2.7dist(more-itertools) < 6.0.0 needed by python2-pytest-4.4.1-1.fc31.noarch

Comment 8 Ranjan Maitra 2019-05-21 15:32:43 UTC
Then this bug can not be fixed since unless I am not understanding correctly, python-more-itertools only works with python3.

Comment 9 Miro Hrončok 2019-05-21 15:36:09 UTC
Around 100 packages in rawhide need python2-pytest to build including pip and setuptools.

In Fedora 30 that is ~130.

In Fedora 29 that is ~300.

I suggest to unpush the Fedora 29 and 30 updates immediately.

For rawhide, we should probably untag the build ASAP and create an actual plan: probably packaging python2-more-itertools as a separate package.

Can you ping me on IRC (mhroncok on #fedora-python)?

> Then this bug can not be fixed since unless I am not understanding correctly, python-more-itertools only works with python3.

This bug can be fixed, and it should be done now. I can help.

Comment 10 Scott Talbert 2019-05-21 15:39:25 UTC
This also seems like the kind of change that should NOT be going into a stable release update.  It's going to break pytest in a stable release.

Comment 11 Ranjan Maitra 2019-05-21 15:44:33 UTC
Unpushed to F30 and F29. How to untag for rawhide.

Comment 12 Miro Hrončok 2019-05-21 15:49:11 UTC
I've made an attempt to untag the build from f31 and Kevin managed to kill the running rawhide compose.

Comment 13 Miro Hrončok 2019-05-21 15:50:54 UTC
OK, I'll draft python2-more-itertools quickly.

Comment 14 Miro Hrončok 2019-05-21 16:00:42 UTC
Up for a review in bz1712501.

Comment 15 Ranjan Maitra 2019-05-21 17:49:00 UTC
So, are we now good to update? I will change the spec file to also reflect python2-more-itertools.

Comment 16 Miro Hrončok 2019-05-21 17:51:30 UTC
This is now good in rawhide.

It must never go to a stable release.

> I will change the spec file to also reflect python2-more-itertools.

How and why? Would you mind if I review the change just in case?

Comment 17 Ranjan Maitra 2019-05-21 18:05:06 UTC
All I meant was include the following in the comments section:

* Tue May 21 2019 aarem AT fedoraproject DOT org - 7.0.0-2
- Rebuild
- Note: python2-more-itertools is now in python2-more-itertools

Comment 18 Miro Hrončok 2019-05-21 18:12:00 UTC
That sounds safe :)

Ranjan, would you like to be primary contact for python2-more-itertools? Would you mind adding the python-sig as a co maintainer of python-more-itertools?

Comment 19 Ranjan Maitra 2019-05-21 18:14:11 UTC
Sorry, I was just going to ask if you would take over both python-more-itertools and python2-mmore-itertootls. I do not use either.

Comment 20 Miro Hrončok 2019-05-21 18:37:13 UTC
Sure, assign it to "churchyard" (that's me).

Should you keep you as a co-maintainer?

Comment 21 Miro Hrončok 2019-05-21 18:42:10 UTC
> Should you keep you as a co-maintainer?

Should I...

Comment 22 Thomas Moschny 2019-08-14 08:34:43 UTC
python-more-itertools-7.2.0 has been built for f31 and rawhide:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1354321
https://koji.fedoraproject.org/koji/buildinfo?buildID=1354323


Note You need to log in before you can comment on or make changes to this bug.